// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "Data",
    products: [
        .library(
            name: "Models",
            targets: ["Models"]),
        .library(
            name: "Networking",
            targets: ["Networking"])
    ],
    dependencies: [
        .package(url: "https://github.com/trifork/TriforkSwiftNetworking.git", .branch("main")),
    ],
    targets: [
        .target(
            name: "Models",
            dependencies: []),
        .target(
            name: "Networking",
            dependencies: ["Models", "TriforkSwiftNetworking"]),
        .testTarget(
            name: "ModelsTests",
            dependencies: ["Models"]),
        .testTarget(
            name: "NetworkingTests",
            dependencies: ["Networking"]),
    ]
)
