//
//  Text+Extensions.swift
//  MinGraviditet
//
//  Created by Thomas Kalhøj Clemensen on 09/10/2020.
//

import SwiftUI

extension Text {

    @ViewBuilder
    func applyFontStyle(fontStyle: FontStyle) -> some View {
        self.ifLet(fontStyle.letterSpacing, transform: { $0.kerning($1) })
            .ifLet(fontStyle.lineSpacing, transform: { $0.lineSpacing($1) })
        .font(Font.custom(
                fontStyle.font.fontName,
                size: UIFontMetrics(forTextStyle: fontStyle.textStyle).scaledValue(for: fontStyle.font.pointSize)
            ))

    }
}
