//
//  View+Extensions.swift
//  MinGraviditet
//
//  Created by Thomas Kalhøj Clemensen on 09/10/2020.
//

import SwiftUI

extension View {

    @ViewBuilder
    func ifLet<V, Transform: View>(
        _ value: V?,
        transform: (Self, V) -> Transform
    ) -> _ConditionalContent<Transform, Self> {
        if let value = value {
            transform(self, value)
        } else {
            self
        }
    }
}
