import SwiftUI

struct OnboardingStepView: View {
    let viewModel: OnboardingStepView.ViewModel

    var body: some View {
        VStack {
            Spacer()
            Image(uiImage: viewModel.image ?? UIImage())
                .resizable()
                .aspectRatio(contentMode: .fit)
        }
        .overlay(
            VStack(alignment: .center) {
                Text(viewModel.title)
                    .applyFontStyle(fontStyle: .title)
                    .multilineTextAlignment(.center)
                Text(viewModel.subtitle)
                    .applyFontStyle(fontStyle: .body)
                    .multilineTextAlignment(.center)
            }
            .padding(), alignment: .top
        )
    }
}

struct OnboardingStepView_Previews: PreviewProvider {
    static var previews: some View {
        OnboardingStepView(viewModel:
                            OnboardingStepView.ViewModel(
                                title: "Title",
                                subtitle: "Subtitle",
                                image: R.image.onboarding_overview())
        )
    }
}
