import SwiftUI

struct PageIndicators: View {
    let numberOfPages: Int
    let currentIndex: Int

    let primaryColor = R.color.primary()!
    let secondaryColor = R.color.lavendar()!

    private let circleSize: CGFloat = 8
    private let circleSpacing: CGFloat = 8

    var body: some View {
        HStack(spacing: circleSpacing) {
            ForEach(0 ..< numberOfPages) { index in
                Circle()
                    .fill(currentIndex == index ? Color(primaryColor) : Color(secondaryColor))
                    .frame(width: circleSize, height: circleSize)
                    .id(index)
            }
        }
    }
}

struct PageIndicators_Previews: PreviewProvider {
    static var previews: some View {
        PageIndicators(numberOfPages: 5, currentIndex: 2)
    }
}
