// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "Services",
    products: [
        .library(
            name: "ServiceInterfaces",
            targets: ["ServiceInterfaces"]),
        .library(
            name: "Services",
            targets: ["Services"]),
        .library(
            name: "MockServices",
            targets: ["MockServices"]),
    ],
    dependencies: [
        .package(path: "../Data"),
    ],
    targets: [
        .target(
            name: "ServiceInterfaces",
            dependencies: [.product(name: "Models", package: "Data")
            ]),
        .target(
            name: "Services",
            dependencies: [.product(name: "Models", package: "Data"),
                            .byName(name: "ServiceInterfaces")
            ]),
        .target(
            name: "MockServices",
            dependencies: [.product(name: "Models", package: "Data"),
                           .byName(name: "ServiceInterfaces")
            ]),
        .testTarget(
            name: "ServicesTests",
            dependencies: ["Services"]),
    ]
)
